Subject: bug#32840: linux-libre 4.18.9: shpchp is no longer a module (now: built-in)

From: Nils Gillmann <[email-masked]>
Date: Wed, 26 Sep 2018 16:27:19 +0000

Ricardo Wurmus transcribed 808 bytes:
> 
> Mark H Weaver <[email-masked]> writes:
> 
> > Nils Gillmann <[email-masked]> writes:
> >
> >> at taler we need shpchp as a module in the initrd.
> >>
> >> Before version 4.18.x, shpchp was a module we've build in guix' linux-libre,
> >> you were able to just specify it for the initrd.
> >>
> >> With 4.18.9, this module became a compile-in/built-in (see linux
> >> commit log).  I want to avoid maintaining yet another kernel
> >> definition for future complications if I can.  Can we get this module
> >> built in by default?
> >
> > Done in commit fe73352e8073ea0a0e6f6b5591f24395671998ab on master.
> > Closing this bug now, but please reopen if appropriate.

Thanks! I'll get back if this didn't fix upgrading the server.

> I don’t understand why building it as a module is needed when upstream
> decided to turn it into a built-in feature.
> 
> Could you please explain?

There are modules [M] and boolean y/n "builtins" in Linux. We don't need
to build it as a module now, since upstream changed it to be a builtin.
It is not covered by whatever selection we have in the kernel config as
builtins. Since the module disappeared, users of the module were left
with the choice to remove it and either build their own kernel variation
or ask for it as a feature.

I asked for it, since Taler wanted as little reliance on third-party
repositories as possible, no matter how reliable the repositories are.

> -- 
> Ricardo